<template lang="pug">
BaseCard.x-ctrl-ctrl(tabIndex='0').highlightOnFocus
  template(v-slot:header)
    .d-flex.justify-content-between
      div #[h5 Control]
      .ml-auto.clickable(@click='setEdit(true)' v-if='isRunInfo && !inEdit')
        kbd.keyHint.mr-2(v-if="showKeyHints") E
        i.fa.fa-cog
      .ml-auto.clickable(@click='setEdit(false)' v-if='isRunInfo && inEdit')
        kbd.keyHint.mr-2(v-if="showKeyHints") Esc
        i.fa.fa-times
  li(key='1')
    strong State
    State(ref='EACSState'
          service='EACS/State' :dns='dns' :dnsUrl='dnsUrl(dns)'
          :proxy='getProxy()' defaultString='Please select an experiment area...'
          :primaryStyle='stateClass'
          @error='handleError')
  li(v-show='inEdit' key='3')
    ControlCheck
    .row.x-btn-list.justify-content-center
      .col-auto(v-if="!isActive")
        button.btn.btn-success(:disabled='isSendingCommand || !isIdle'
                               @click="cmdStart()")
          kbd.keyHint.mr-2(v-if="showKeyHints") Enter
          | Start
      .col-auto(v-if="isActive")
        button.btn.btn-danger(:disabled='isSendingCommand'
                              @click="openStopDialog()")
          kbd.keyHint.mr-2(v-if="showKeyHints") X
          | Stop
      .col-auto(v-if="!isActive")
        button.btn.btn-secondary(:disabled='isSendingCommand || isLoading'
                                 @click="cmdReset()")
          kbd.keyHint.mr-2(v-if="showKeyHints") R
          | Reset
    BaseDialog.x-modal-datastatus(ref='dataStatusDialog' title='Current Run Data Status')
      .col-12.mb-2
        div Please select a data status before stopping the current run.
      .row.d-flex.justify-content-center
        .col-12.col-md-6.col-lg-4
          BaseParamList(ref='dataStatus' :inEdit='true' title='Data Status' :value='dataStatus' @edit="setDataStatus($event)")
            template(v-slot:options='')
              option(value='ok') Ok
              option(value='bad') Bad
              option(value='stopped') Unknown
      // Footer
      template(v-slot:footer='d')
        button.btn.btn-secondary(@click='d.resolve(false)') Cancel
        button.btn.btn-danger(@click='d.resolve(true)') Stop Run

  template(v-slot:footer v-if='runInfo.runNumber')
    .row.text-center
      .col-4.p-0
        div #[strong Run Number:] {{ runInfo.runNumber }}
      .col-4.p-0
        div #[strong Triggers:] {{ runInfo.validatedNumber || '-' }} / {{ runInfo.eventNumber || '-' }}
      .col-4.p-0
        div #[strong Protons:] {{ runInfo.validatedProtons | b-bigNumber }}
</template>
<script>

export { default } from './Control.vue.js';

</script>
<style>
/* separate buttons when stacked not adding an extra margin */
.x-ctrl-ctrl .x-btn-list {
  margin-bottom: -.25em;
}
.x-ctrl-ctrl .x-btn-list .col-auto {
  margin-bottom: .25em;
}

.x-modal-datastatus .modal-content {
    height: auto !important;
}
</style>
